#ifndef STA_TACOS_CONFIGS_DEFAULT_HPP
#define STA_TACOS_CONFIGS_DEFAULT_HPP

// Enable the watchdog provided by TACOS.
#define STA_TACOS_WATCHDOG_ENABLED

// Generally, we assume the TACOS threads to have the highest priorties.
#define STA_TACOS_MANAGER_PRIORITY          osPriorityHigh
#define STA_TACOS_STATEMACHINE_PRIORITY     osPriorityHigh
#define STA_TACOS_WATCHDOG_PRIORITY         osPriorityHigh

// Per default, we assume state 0 to be the initial state.
#define STA_TACOS_INITIAL_STATE             0

#endif // STA_TACOS_CONFIGS_DEFAULT_HPP
